Subject: Re: [patch 05/13] remove last_rx update from loopback device

From: Nivedita Singhvi <[email-masked]>
Date: Tue, 15 Mar 2005 17:23:25 -0800

Rick Jones wrote:

>> These loopback driver SMP optimizations are starting to really
>> driver me crazy.
> 
> 
> Correct or not, I suspect there are a non-trivial number of folks out 
> there who use loopback performance as an indicator of over the network 
> performance or at least of stack path length (less driver).

I hope not the former. Given that loopback performance is
*significantly* faster than network performance, increasing the
performance of the loopback driver in these somewhat artificial
ways (that differ from the real network device path) simply
*increases* the inaccuracy of their testing and the conclusions
they can draw from it ;).

thanks,
Nivedita